<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      layout:decorator="layout">
<head>
    <meta charset="UTF-8">
    <title>PHNOM PENH KATARI HOTEL</title>
</head>
<body>
<section layout:fragment="content">
<div class="row">
    <div class="col-sm-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <div class="header-title">
                    <h4 class="card-title">New User Information</h4>
                </div>
            </div>
            <div class="card-body">
                <div class="new-user-info">
                    <form role="form" id="create-user" class="form-horizontal form-label-left" th:object="${user}" autocomplete="on" action="#" th:action="@{/pages/user/save}" method="post">
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label  for="firstName">First Name:</label>
                                <input type="text" class="form-control" id="firstName" th:field="*{firstName}"  placeholder="First Name">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="lastName">Last Name:</label>
                                <input type="text" class="form-control" id="lastName" th:field="*{lastName}"  name="lastName" placeholder="Last Name">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="email">Email:</label>
                                <input type="email" class="form-control" id="email" th:field="*{email}" name="email" placeholder="Email">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="phone">Mobile Number:</label>
                                <input type="text" class="form-control" id="phone" th:field="*{phone}" name="phone" placeholder="Mobile Number">
                            </div>
                            <div class="form-group col-md-12">
                                <label for="password">Password:</label>
                                <input type="password" class="form-control" id="password" th:field="*{password}" placeholder=" Password ">
                            </div>
                            <div class="form-group col-sm-12">
                                <label>Role:</label>
                                <select th:value="*{roles}" id="roles" class="selectpicker form-control" data-style="py-0">
                                    <option selected>Select Roles</option>
                                  <option th:each="role : ${roles}" th:value="${role.id}" th:text="${role.getRole()}">Select Roles</option>
                                </select>
                            </div>
                        </div>
                        <div class="checkbox">
                            <label><input class="mr-2" type="checkbox">Enable Two-Factor-Authentication</label>
                        </div>
                        <button type="submit" class="btn btn-primary">Add New User</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</section>
</body>
</html>